Bug 1115775 - CVE-2014-3482 rubygem-activerecord: SQL injection vulnerability in 'bitstring' quoting [fedora-19]
Summary: CVE-2014-3482 rubygem-activerecord: SQL injection vulnerability in 'bitstring...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-activerecord
Version: 19
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Josef Stribny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-3482
TreeView+ depends on / blocked
 
Reported: 2014-07-03 06:07 UTC by Murray McAllister
Modified: 2016-01-04 05:53 UTC (History)
10 users (show)

Fixed In Version: rubygem-activerecord-3.2.13-2.fc19
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-23 01:55:31 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-07-03 06:07:48 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

fedora-19 tracking bug for rubygem-activerecord: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-07-03 06:08:11 UTC
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1114425,1115775

Comment 2 Fedora Update System 2014-07-04 08:53:04 UTC
rubygem-activerecord-3.2.13-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-activerecord-3.2.13-2.fc19

Comment 3 Fedora Update System 2014-07-05 14:51:59 UTC
Package rubygem-activerecord-3.2.13-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-activerecord-3.2.13-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8089/rubygem-activerecord-3.2.13-2.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-08-23 01:55:31 UTC
rubygem-activerecord-3.2.13-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.